Eggbot recognized as AxiDraw on LinuxMint

Home Evil Mad Scientist Forums Egg-Bot Eggbot recognized as AxiDraw on LinuxMint

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #28611
    Tom
    Participant

    I decided to pull the eggbot out of the cabinet after a couple of years, and got no movement when connecting it to Inkscape 0.92.5 (2060ec1f9f, 2020-04-08) and extensions downloaded yesterday from https://github.com/evil-mad/EggBot on Linux Mint 20 also freshly installed yesterday. The user account is a member of dialout group and has successfully written to USB-connected serial devices, e.g. updating Marlin firmware on a 3D printer.

    Thought it might be due to old firmware, so shifted to a Windows 10 machine since I didn’t want to have to chase down those dependencies on Linux. Following the update to 2.5.4, on the Windows machine the Eggbot extensions work fine with Inkscape 1 and the same freshly downloaded extensions.

    When reconnecting to the Linux machine, once again no movement from Eggbot Control and no reply when checking the firmware version – the “working” window flashes and disappears but no error message or other response that I can see.

    AxiDraw control, however, will operate the servo and report the correct 2.6.5 firmware version. Checking firmwar version through WaterColortBot Control results in:

    Traceback (most recent call last):
      File "wcb.py", line 37, in <module>
        import serial
    ImportError: No module named serial

    Dmesg reports the following when the USB is connected:

    [234360.048903] usb 8-1: New USB device found, idVendor=04d8, idProduct=fd92, bcdDevice= 1.82
    [234360.048906] usb 8-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
    [234360.048908] usb 8-1: Product: EiBotBoard,EggBot
    [234360.048910] usb 8-1: Manufacturer: SchmalzHaus
    [234360.048912] usb 8-1: SerialNumber: EggBot
    [234360.051992] cdc_acm 8-1:1.0: ttyACM0: USB ACM device

    Any suggestions for me?

    #28647
    Windell Oskay
    Keymaster

    This kind of error is certainly not related to firmware version.

    The EBB does not distinguish between being installed on an AxiDraw, EggBot, or WaterColorBot. The fact that the AxiDraw software recognizes it (and assumes that you have an AxiDraw) does not indicate any kind of problem.

    I would recommend that you update the Linux machine to Inkscape 1.0, and use the current version of the AxiDraw/EggBot/WaterColorBot software bundle, available here: https://wiki.evilmadscientist.com/Axidraw_Software_Installation#Linux

    Please give that a try, and let me know if you run into any difficulties.

    #28679
    Tom
    Participant

    Upgrading to 1.0.1 resolved my issue.

    Version 92 was the most recent available through the built-in software management tool, but I got the PPA package direct from the Inkscape site and now all is working as expected.

    Thanks for the fast reply and the on-target solution.

    • This reply was modified 1 week ago by Tom. Reason: correcting package type
    #28681
    Windell Oskay
    Keymaster

    Great; glad to hear it!

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.